Name:           goatattack
Version:        0.5.0
Release:        %mkrel 2
Summary:        Fast-paced multiplayer pixel art shooter game
Group:          Games/Arcade
License:        GPLv3+ and CC BY-SA 4.0
URL:            https://www.goatattack.net
Source0:        https://github.com/goatattack/goatattack/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-data >= %{version}

%description
Goat Attack is a multiplayer 2D platformer pixel art shooter game for Linux,
OS X and Windows. You can play it in a local network or over the Internet.
This project is split into three subprojects: the game itself, its map editor
and a master server. Six gameplay modes are supported: deathmatch, team
deathmatch, capture the flag, speed race, catch the coin and goat of the hill.

%package data
Summary:        Arch-independent data files for the game Goat Attack
BuildArch:      noarch

%description data
This package contains arch-independent data files (graphics, sounds, music,
levels) for the multiplayer game Goat Attack.

%prep
%autosetup -p1

rm -rf src/shared/zlib

%build
autoreconf -vfi

rm -rf %{_builddir}/build-dedicated
mkdir %{_builddir}/build-dedicated
cp -a . %{_builddir}/build-dedicated

%configure \
  --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir} \
  --enable-map-editor

%make_build

pushd %{_builddir}/build-dedicated
%configure \
  --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir} \
  --enable-dedicated-server
%make_build
popd

%install
%make_install

install -m755 %{_builddir}/build-dedicated/src/Server/%{name}-server \
  %{buildroot}%{_gamesbindir}/%{name}-server
install -m755 %{_builddir}/build-dedicated/src/Server/man/%{name}-server.6 \
  %{buildroot}%{_mandir}/man6/%{name}-server.6

%files
%doc AUTHORS ChangeLog README.md server_*.conf
%{_datadir}/appdata/%{name}*.appdata.xml
%{_datadir}/applications/%{name}*.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-mapeditor
%{_gamesbindir}/%{name}-server
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_mandir}/man6/%{name}*.6*

%files data
%{_gamesdatadir}/%{name}/


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.5.0-2.mga10
+ Revision: 2224500
- Mageia 10 Mass Rebuild
+ danf <danf>
- Update links to https:

* Sat Jun 22 2024 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2076159
- new version: 0.5.0

* Mon Jan 02 2023 daviddavid <daviddavid> 0.4.5-4.mga9
+ Revision: 1928813
- build with -std=c++14 compile flags
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.4.5-3.mga8
+ Revision: 1512617
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.5-2.mga7
+ Revision: 1298005
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 akien <akien> 0.4.5-1.mga7
+ Revision: 1187836
- Version 0.4.5

* Sun Oct 02 2016 akien <akien> 0.4.4-1.mga6
+ Revision: 1058117
- Version 0.4.4
  o Upstreams many packaging things (icons, desktop, unbundled zlib, etc.)
  o Package dedicated server instead of masterserver
- Art assets were previously with undefined license, new release fixes that
  (CC BY-SA 4.0) and disables the inclusion of the (currently) nonfree music

* Sun Aug 28 2016 akien <akien> 0.4.3-1.mga6
+ Revision: 1049342
- imported package goatattack

